<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveDeclarationsRefactoringProcessor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUtilKt java.util.List&lt;org.jetbrains.kotlin.psi.KtNamedDeclaration&gt; withChildDeclarations(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Companion org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo getUpdatableUsageInfo$kotlin_refactorings_move_k2(org.jetbrains.kotlin.psi.KtElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUtilKt java.util.Collection&lt;com.intellij.psi.PsiElement&gt; withContext(java.util.Collection&lt;? extends org.jetbrains.kotlin.psi.KtNamedDeclaration&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Companion void setNonUpdatableUsageInfo$kotlin_refactorings_move_k2(org.jetbrains.kotlin.psi.KtElement, org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUtilKt void setForcedTargetPackage(com.intellij.psi.PsiDirectory, org.jetbrains.kotlin.name.FqName)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUtilKt org.jetbrains.kotlin.name.FqName getForcedTargetPackage(com.intellij.psi.PsiDirectory)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveDeclarationsRefactoringProcessor K2MoveDeclarationsRefactoringProcessor(org.jetbrains.kotlin.idea.k2.refactoring.move.descriptor.K2MoveOperationDescriptor.Declarations)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveDeclarationsRefactoringProcessor void preDeclarationMoved(org.jetbrains.kotlin.psi.KtNamedDeclaration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveDeclarationsRefactoringProcessor REFACTORING_ID">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Companion java.util.Map&lt;com.intellij.psi.PsiFile,java.util.List&lt;org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo&gt;&gt; restoreInternalUsagesSorted(java.util.Map&lt;com.intellij.psi.PsiElement,? extends com.intellij.psi.PsiElement&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveDeclarationsRefactoringListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.21735.32&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveDirectoryWithClassesHelper">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveConflictUtilKt boolean willNotBeMoved(com.intellij.refactoring.util.MoveRenameUsageInfo, java.lang.Iterable&lt;? extends org.jetbrains.kotlin.psi.KtNamedDeclaration&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUtilKt boolean isValidTargetForImplicitCompanionAsDispatchReceiver(org.jetbrains.kotlin.idea.k2.refactoring.move.descriptor.K2MoveTargetDescriptor, org.jetbrains.kotlin.psi.KtObjectDeclaration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUtilKt boolean isValidTargetForImplicitCompanionAsDispatchReceiver(org.jetbrains.kotlin.idea.k2.refactoring.move.descriptor.K2MoveTargetDescriptor, org.jetbrains.kotlin.psi.KtObjectDeclaration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveConflictUtilKt kotlin.Pair&lt;com.intellij.psi.PsiElement,java.lang.String&gt; tryFindConflict(kotlin.jvm.functions.Function0&lt;? extends kotlin.Pair&lt;? extends com.intellij.psi.PsiElement,java.lang.String&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Companion java.util.List&lt;com.intellij.refactoring.util.MoveRenameUsageInfo&gt; findExternalUsages(org.jetbrains.kotlin.psi.KtNamedDeclaration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Companion void markInternalUsages(com.intellij.psi.PsiElement, org.jetbrains.kotlin.psi.KtElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveConflictUtilKt boolean isInternal(org.jetbrains.kotlin.psi.KtNamedDeclaration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Companion void retargetUsages(java.util.List&lt;? extends org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo&gt;, java.util.Map&lt;com.intellij.psi.PsiElement,? extends com.intellij.psi.PsiElement&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveDeclarationsRefactoringProcessor.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUtilKt org.jetbrains.kotlin.name.FqName getPossiblyForcedPackageFqName(com.intellij.psi.PsiDirectory)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveFilesOrDirectoriesRefactoringProcessor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveConflictUtilKt com.intellij.util.containers.MultiMap&lt;com.intellij.psi.PsiElement,java.lang.String&gt; findAllMoveConflicts(java.lang.Iterable&lt;? extends org.jetbrains.kotlin.psi.KtFile&gt;, com.intellij.psi.PsiDirectory, org.jetbrains.kotlin.name.FqName, java.util.List&lt;? extends com.intellij.refactoring.util.MoveRenameUsageInfo&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Source Source(org.jetbrains.kotlin.psi.KtElement, org.jetbrains.kotlin.idea.references.KtReference, com.intellij.psi.PsiNamedElement, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveConflictUtilKt com.intellij.util.containers.MultiMap&lt;com.intellij.psi.PsiElement,java.lang.String&gt; findAllMoveConflicts(java.lang.Iterable&lt;? extends org.jetbrains.kotlin.psi.KtFile&gt;, org.jetbrains.kotlin.name.FqName, java.util.List&lt;? extends com.intellij.refactoring.util.MoveRenameUsageInfo&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUsageUtilKt java.util.List&lt;com.intellij.usageView.UsageInfo&gt; findUsages(org.jetbrains.kotlin.psi.KtFile, boolean, boolean, org.jetbrains.kotlin.name.FqName)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Companion void setUpdatableUsageInfo$kotlin_refactorings_move_k2(org.jetbrains.kotlin.psi.KtElement, org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUsageUtilKt java.util.List&lt;com.intellij.usageView.UsageInfo&gt; findUsages(org.jetbrains.kotlin.psi.KtNamedDeclaration, boolean, boolean, org.jetbrains.kotlin.idea.k2.refactoring.move.descriptor.K2MoveTargetDescriptor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveDeclarationsRefactoringProcessor Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUsageUtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUtilKt void updatePackageDirective(org.jetbrains.kotlin.psi.KtFile, com.intellij.psi.PsiDirectory)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveFilesOrDirectoriesRefactoringProcessor K2MoveFilesOrDirectoriesRefactoringProcessor(org.jetbrains.kotlin.idea.k2.refactoring.move.descriptor.K2MoveOperationDescriptor.Files)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUsageUtilKt boolean usesOuterInstanceParameter(org.jetbrains.kotlin.psi.KtNamedDeclaration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveFilesHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveConflictUtilKt com.intellij.util.containers.MultiMap&lt;com.intellij.psi.PsiElement,java.lang.String&gt; findAllMoveConflicts(java.util.Collection&lt;? extends org.jetbrains.kotlin.psi.KtNamedDeclaration&gt;, java.util.Collection&lt;? extends org.jetbrains.kotlin.psi.KtNamedDeclaration&gt;, com.intellij.psi.PsiDirectory, org.jetbrains.kotlin.name.FqName, java.util.List&lt;? extends com.intellij.refactoring.util.MoveRenameUsageInfo&gt;, org.jetbrains.kotlin.idea.k2.refactoring.move.descriptor.K2MoveTargetDescriptor.Declaration&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveConflictUtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Source org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo refresh(org.jetbrains.kotlin.psi.KtElement, com.intellij.psi.PsiNamedElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveConflictUtilKt java.lang.String renderForConflict(org.jetbrains.kotlin.analysis.api.KaSession, org.jetbrains.kotlin.analysis.api.symbols.KaSymbol, org.jetbrains.kotlin.analysis.api.renderer.declarations.KaDeclarationRenderer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Companion org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo getInternalUsageInfo$kotlin_refactorings_move_k2(org.jetbrains.kotlin.psi.KtElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveDeclarationsRefactoringProcessor void postDeclarationMoved(org.jetbrains.kotlin.psi.KtNamedDeclaration, org.jetbrains.kotlin.psi.KtNamedDeclaration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Companion java.util.List&lt;org.jetbrains.kotlin.psi.KtElement&gt; internalUsageElements(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveDeclarationsRefactoringProcessor void openFilesAfterMoving(java.util.List&lt;? extends org.jetbrains.kotlin.psi.KtNamedDeclaration&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo.Companion org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2MoveRenameUsageInfo getNonUpdatableUsageInfo$kotlin_refactorings_move_k2(org.jetbrains.kotlin.psi.KtElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUsageUtilKt java.util.List&lt;org.jetbrains.kotlin.idea.k2.refactoring.move.processor.usages.OuterInstanceReferenceUsageInfo&gt; collectOuterInstanceReferences(org.jetbrains.kotlin.psi.KtNamedDeclaration)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUtilKt com.intellij.refactoring.move.MoveMultipleElementsViewDescriptor usageViewDescriptor(org.jetbrains.kotlin.idea.k2.refactoring.move.descriptor.K2MoveOperationDescriptor&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.K2ChangePackageRefactoringProcessor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.idea.k2.refactoring.move.processor.MoveUtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
</root>
